Bug 17782 - Invalid dependency on /etc/init.d (openldap-1.2.11-11)
Invalid dependency on /etc/init.d (openldap-1.2.11-11)
Status: CLOSED NOTABUG
Product: Red Hat Raw Hide
Classification: Retired
Component: openldap (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-09-21 21:05 EDT by kenneth_porter
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-09-21 22:02:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description kenneth_porter 2000-09-21 21:05:58 EDT
The 1.2.11-11 SRPM has an explicit prereq for /etc/init.d, but manipulates scripts in /etc/rc.d/init.d. A comment in the changelog dated July 17 
2000 says "Move the initscript back" but the prereq was not removed from the spec file.

Question: If I remove the prereq from the spec file, will Bad Things happen?
Comment 1 kenneth_porter 2000-09-21 22:02:23 EDT
Answering my own question, yes, the provided init script looks for the functions script in /etc/init.d.

What new package provides /etc/init.d? Has that package been tested on RH6.*?
Comment 2 kenneth_porter 2000-09-22 01:11:52 EDT
Ok, this package needs the latest Rawhide initscripts (currently at 5.44), which provides symlinks for /etc/init.d and /etc/rc[0-9].d to support FHS.

Note You need to log in before you can comment on or make changes to this bug.